Your GStreamer installation is missing a plug-in.


  • When attempting to play Apple lossless MP4 files (ALAC), I get an error that "Your GStreamer installation is missing a plug-in."

    Files plays fine in VLC, but won't play in Strawberry. Other (non ALAC) MP4 files play fine.

    Based on other things I've read I tried deleting ~/.cache/gstreamer-1.0/registry.x86_64.bin, and I tried installing all gstreamer plugins with:

    sudo apt-get install gstreamer1.0-plugins*

    Neither of which fixed the issue. Any help would be appreciated.

    Running Strawberry 0.8.4 on Ubuntu 20.04.1 LTS.

    Thanks.


  • Figured it out, it's in "gstreamer1.0-libav", not in one of the "gstreamer1.0-plugins".